/*--------------------------------*-C-*---------------------------------*
 * File:	rxvt.c
 *
 * Copyright 1992 John Bovey, University of Kent at Canterbury.
 *
 * You can do what you like with this source code as long as you don't try
 * to make money out of it and you include an unaltered copy of this
 * message (including the copyright).
 *
 * This module has been heavily modified by R. Nation
 * <nation@rocket.sanders.lockheed.com>
 * No additional restrictions are applied
 *
 * Additional modifications by mj olesen <olesen@me.QueensU.CA>
 * No additional restrictions are applied.
 *
 * As usual, the author accepts no responsibility for anything, nor does
 * he guarantee anything whatsoever.
 *----------------------------------------------------------------------*/
#include "rxvt.h"

#include <X11/Xlib.h>

#include "command.h"
#include "xsetup.h"

int
main (int argc, char *argv[])
{
   int i;
   char *cmd, **cmd_argv, *shell_argv[] = { "/bin/sh", NULL };

   for (i = 0; i < argc; i++)
     if (!strcmp (argv[i], "-e")) break;

   if (i+1 < argc)
     {
	argc = i;
	argv [i] = NULL;
	cmd_argv = argv + i + 1;
	cmd = cmd_argv[0];
     }
   else
     {
	char *p = getenv ("SHELL");
	if (p != NULL)
	  shell_argv [0] = p;
	cmd_argv = shell_argv;
	cmd = NULL;
     }

   init_display (argc, argv, cmd);
   init_command (cmd_argv);
   main_loop ();		/* main processing loop */
   return EXIT_SUCCESS;
}
/*----------------------- end-of-file (C source) -----------------------*/
